(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11953,        314]
NotebookOptionsPosition[     11507,        295]
NotebookOutlinePosition[     11888,        311]
CellTagsIndexPosition[     11845,        308]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ClearAll", "[", "zprac1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zprac1", "[", 
    RowBox[{"{", 
     RowBox[{"u_", ",", "i_", ",", "\[Epsilon]_", ",", "d_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"To", "=", "20"}], ",", 
       RowBox[{"\[Alpha]", "=", "10"}], ",", 
       RowBox[{"cosfi", "=", "0.8"}], ",", "P", ",", "S", ",", "rce", ",", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"5.67", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "8"}]]}]}], ",", "T", ",", "Tp", ",", 
       RowBox[{"delka", "=", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"P", "=", 
       RowBox[{"u", "*", "i", "*", "cosfi"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"S", "=", 
       RowBox[{"mm", "*", "Pi", "*", "d", "*", "delka"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"rce", "=", 
       RowBox[{"P", "==", 
        RowBox[{"S", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "*", 
            RowBox[{"(", 
             RowBox[{"Tp", "-", "To"}], ")"}]}], "+", 
           RowBox[{"\[Epsilon]", "*", "\[Sigma]", "*", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"Tp", "+", "273"}], ")"}], "4"], "-", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"To", "+", "273"}], ")"}], "4"]}], ")"}]}]}], 
          ")"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"T", "=", 
       RowBox[{"Tp", "/.", 
        RowBox[{"FindRoot", "[", 
         RowBox[{"rce", ",", 
          RowBox[{"{", 
           RowBox[{"Tp", ",", 
            RowBox[{"2", "To"}]}], "}"}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"u", ",", "i", ",", "\[Epsilon]", ",", "d", ",", "T"}], 
       "}"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.577597561046875*^9, 3.577597841234375*^9}, {
   3.577597894921875*^9, 3.577598159984375*^9}, {3.577598203765625*^9, 
   3.577598205421875*^9}, 3.577598262*^9, 3.57759833903125*^9, {
   3.57759853734375*^9, 3.577598599125*^9}, 3.577598663578125*^9, {
   3.5775993104375*^9, 3.577599310796875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myR", ":=", 
   RowBox[{
    RowBox[{"0.1", "*", 
     RowBox[{"Round", "[", 
      RowBox[{"10", "#"}], "]"}]}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proudy", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"5", ",", "20"}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napeti", "=", 
   RowBox[{"Round", "[", 
    FractionBox["400", "proudy"], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"epsilonka", "=", 
   RowBox[{"myR", "/@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{"0.1", ",", "0.9"}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prumeryVmm", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"8", ",", "12"}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ClearAll", "[", 
  RowBox[{"zadani", ",", "reseni"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zadani", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", "T", ",", "u", ",", "i", ",", "d"}], "}"}], 
     ",", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u", ",", "i", ",", "\[Epsilon]", ",", "d", ",", "T"}], "}"}],
        "=", 
       RowBox[{"zprac1", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"napeti", "[", 
           RowBox[{"[", "k", "]"}], "]"}], ",", 
          RowBox[{"proudy", "[", 
           RowBox[{"[", "k", "]"}], "]"}], ",", 
          RowBox[{"epsilonka", "[", 
           RowBox[{"[", "k", "]"}], "]"}], ",", 
          RowBox[{"prumeryVmm", "[", 
           RowBox[{"[", "k", "]"}], "]"}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<var. Nr. \>\"", "<>", 
       RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<: u= \>\"", "<>", 
       RowBox[{"ToString", "[", "u", "]"}], "<>", "\"\< V, i= \>\"", "<>", 
       RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\< A, d= \>\"", "<>", 
       RowBox[{"ToString", "[", "d", "]"}], "<>", "\"\< mm, Tp= \>\"", "<>", 
       RowBox[{"ToString", "[", "T", "]"}], "<>", "\"\< \[Degree]C\>\""}]}]}],
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"reseni", "[", "k_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "T", ",", "u", ",", "i", ",", "d"}], "}"}], 
      ",", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u", ",", "i", ",", "\[Epsilon]", ",", "d", ",", "T"}], 
         "}"}], "=", 
        RowBox[{"zprac1", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"napeti", "[", 
            RowBox[{"[", "k", "]"}], "]"}], ",", 
           RowBox[{"proudy", "[", 
            RowBox[{"[", "k", "]"}], "]"}], ",", 
           RowBox[{"epsilonka", "[", 
            RowBox[{"[", "k", "]"}], "]"}], ",", 
           RowBox[{"prumeryVmm", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}], "}"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<var. Nr. \>\"", "<>", 
        RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<: u= \>\"", "<>", 
        RowBox[{"ToString", "[", "u", "]"}], "<>", "\"\< V, i= \>\"", "<>", 
        RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\< A, d= \>\"", "<>", 
        RowBox[{"ToString", "[", "d", "]"}], "<>", "\"\< mm, Tp= \>\"", "<>", 
        RowBox[{"ToString", "[", "T", "]"}], "<>", 
        "\"\< \[Degree]C, \[Epsilon]= \>\"", "<>", 
        RowBox[{"ToString", "[", "\[Epsilon]", "]"}], "<>", 
        "\"\< [-]\>\""}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reseni", "/@", 
   RowBox[{"Range", "[", "n", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zadani", "/@", 
   RowBox[{"Range", "[", "n", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.57759820803125*^9, 3.577598311953125*^9}, {
   3.577598363796875*^9, 3.57759852521875*^9}, {3.577598610578125*^9, 
   3.577598636875*^9}, {3.57759867459375*^9, 3.577598700546875*^9}, {
   3.577598784484375*^9, 3.577598950234375*^9}, {3.57759898653125*^9, 
   3.57759899090625*^9}, {3.57759903025*^9, 3.577599398296875*^9}, {
   3.577604668046875*^9, 3.57760467228125*^9}, 3.577698201671125*^9, {
   3.57769891918675*^9, 3.5776989277805*^9}}],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {"\<\"var. Nr. 1: u= 22 V, i= 18 A, d= 12 mm, Tp= 313.942 \[Degree]C, \
\[Epsilon]= 0.2 [-]\"\>"},
     {"\<\"var. Nr. 2: u= 67 V, i= 6 A, d= 10 mm, Tp= 243.202 \[Degree]C, \
\[Epsilon]= 0.8 [-]\"\>"},
     {"\<\"var. Nr. 3: u= 44 V, i= 9 A, d= 10 mm, Tp= 251.98 \[Degree]C, \
\[Epsilon]= 0.7 [-]\"\>"},
     {"\<\"var. Nr. 4: u= 80 V, i= 5 A, d= 11 mm, Tp= 251.198 \[Degree]C, \
\[Epsilon]= 0.6 [-]\"\>"},
     {"\<\"var. Nr. 5: u= 33 V, i= 12 A, d= 11 mm, Tp= 249.629 \[Degree]C, \
\[Epsilon]= 0.6 [-]\"\>"},
     {"\<\"var. Nr. 6: u= 80 V, i= 5 A, d= 11 mm, Tp= 282.988 \[Degree]C, \
\[Epsilon]= 0.4 [-]\"\>"},
     {"\<\"var. Nr. 7: u= 80 V, i= 5 A, d= 9 mm, Tp= 300.372 \[Degree]C, \
\[Epsilon]= 0.5 [-]\"\>"},
     {"\<\"var. Nr. 8: u= 31 V, i= 13 A, d= 10 mm, Tp= 254.668 \[Degree]C, \
\[Epsilon]= 0.7 [-]\"\>"},
     {"\<\"var. Nr. 9: u= 36 V, i= 11 A, d= 11 mm, Tp= 263.823 \[Degree]C, \
\[Epsilon]= 0.5 [-]\"\>"},
     {"\<\"var. Nr. 10: u= 80 V, i= 5 A, d= 12 mm, Tp= 251.217 \[Degree]C, \
\[Epsilon]= 0.5 [-]\"\>"},
     {"\<\"var. Nr. 11: u= 20 V, i= 20 A, d= 11 mm, Tp= 335.688 \[Degree]C, \
\[Epsilon]= 0.2 [-]\"\>"},
     {"\<\"var. Nr. 12: u= 22 V, i= 18 A, d= 8 mm, Tp= 274.904 \[Degree]C, \
\[Epsilon]= 0.8 [-]\"\>"},
     {"\<\"var. Nr. 13: u= 44 V, i= 9 A, d= 10 mm, Tp= 264.764 \[Degree]C, \
\[Epsilon]= 0.6 [-]\"\>"},
     {"\<\"var. Nr. 14: u= 67 V, i= 6 A, d= 11 mm, Tp= 239.898 \[Degree]C, \
\[Epsilon]= 0.7 [-]\"\>"},
     {"\<\"var. Nr. 15: u= 24 V, i= 17 A, d= 9 mm, Tp= 261.211 \[Degree]C, \
\[Epsilon]= 0.8 [-]\"\>"},
     {"\<\"var. Nr. 16: u= 31 V, i= 13 A, d= 11 mm, Tp= 220.762 \[Degree]C, \
\[Epsilon]= 0.9 [-]\"\>"},
     {"\<\"var. Nr. 17: u= 40 V, i= 10 A, d= 8 mm, Tp= 344.207 \[Degree]C, \
\[Epsilon]= 0.4 [-]\"\>"},
     {"\<\"var. Nr. 18: u= 20 V, i= 20 A, d= 12 mm, Tp= 288.212 \[Degree]C, \
\[Epsilon]= 0.3 [-]\"\>"},
     {"\<\"var. Nr. 19: u= 21 V, i= 19 A, d= 12 mm, Tp= 250.814 \[Degree]C, \
\[Epsilon]= 0.5 [-]\"\>"},
     {"\<\"var. Nr. 20: u= 21 V, i= 19 A, d= 8 mm, Tp= 321.587 \[Degree]C, \
\[Epsilon]= 0.5 [-]\"\>"},
     {"\<\"var. Nr. 21: u= 67 V, i= 6 A, d= 10 mm, Tp= 301.499 \[Degree]C, \
\[Epsilon]= 0.4 [-]\"\>"},
     {"\<\"var. Nr. 22: u= 20 V, i= 20 A, d= 11 mm, Tp= 265.499 \[Degree]C, \
\[Epsilon]= 0.5 [-]\"\>"},
     {"\<\"var. Nr. 23: u= 67 V, i= 6 A, d= 8 mm, Tp= 277.289 \[Degree]C, \
\[Epsilon]= 0.8 [-]\"\>"},
     {"\<\"var. Nr. 24: u= 67 V, i= 6 A, d= 8 mm, Tp= 277.289 \[Degree]C, \
\[Epsilon]= 0.8 [-]\"\>"},
     {"\<\"var. Nr. 25: u= 50 V, i= 8 A, d= 9 mm, Tp= 320.741 \[Degree]C, \
\[Epsilon]= 0.4 [-]\"\>"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5776988675305*^9, 3.577698928421125*^9, 
  3.577699061983625*^9}]
}, Open  ]]
},
WindowSize->{1077, 750},
WindowMargins->{{7, Automatic}, {Automatic, 13}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 377, 11, 131, "Input"],
Cell[925, 33, 2398, 60, 309, "Input"],
Cell[CellGroupData[{
Cell[3348, 97, 4924, 125, 754, "Input"],
Cell[8275, 224, 3216, 68, 688, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
