(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13149,        339]
NotebookOptionsPosition[     12630,        317]
NotebookOutlinePosition[     13012,        333]
CellTagsIndexPosition[     12969,        330]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ClearAll", "[", "zprac1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zprac1", "[", 
    RowBox[{"{", 
     RowBox[{"Qm_", ",", "T1_", ",", "T2_", ",", "diz_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vykon", ",", 
       RowBox[{"c", "=", "4186."}], ",", 
       RowBox[{"\[Alpha]", "=", "10"}], ",", 
       RowBox[{"\[Lambda]iz", "=", "0.2"}], ",", 
       RowBox[{"d1", "=", 
        RowBox[{"100", "mm"}]}], ",", "r1", ",", "r2", ",", 
       RowBox[{"delka", "=", "1"}], ",", "Qz", ",", 
       RowBox[{"To", "=", "10"}], ",", 
       RowBox[{"U", "=", "230"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"vykon", "=", 
       RowBox[{"c", "*", "Qm", "*", 
        RowBox[{"(", 
         RowBox[{"T2", "-", "T1"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"r1", "=", 
       RowBox[{"0.5", "d1"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"r2", "=", 
       RowBox[{"r1", "+", 
        RowBox[{"diz", "*", "mm"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Rt1", "=", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"2", "*", "Pi", "*", "\[Lambda]iz", "*", "delka"}]], "*", 
        RowBox[{"Log", "[", 
         FractionBox["r2", "r1"], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Rt2", "=", 
       FractionBox["1", 
        RowBox[{"\[Alpha]", "*", "2", "*", "Pi", "*", "r2", "*", "delka"}]]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"Qz", "=", 
       FractionBox[
        RowBox[{
         RowBox[{"0.5", "*", 
          RowBox[{"(", 
           RowBox[{"T1", "+", "T2"}], ")"}]}], "-", "To"}], 
        RowBox[{"Rt1", "+", "Rt2"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "vykon", ",", "Qz", ",", 
        FractionBox["vykon", 
         RowBox[{"3", "*", "U"}]]}], "}"}]}]}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"zprac1", "[", 
  RowBox[{"{", 
   RowBox[{"0.12", ",", "5", ",", "60", ",", "10"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5775998124375*^9, 3.577599869703125*^9}, {
  3.577599908*^9, 3.577600342453125*^9}, {3.5776004485625*^9, 
  3.5776004668125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.12`", ",", "5", ",", "60", ",", "10", ",", "27627.6`", ",", 
   "54.83189323644092`", ",", "40.04`"}], "}"}]], "Output",
 CellChangeTimes->{3.577699017343*^9, 3.577699482218*^9, 3.5777727811875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myR", ":=", 
   RowBox[{
    RowBox[{"0.1", "*", 
     RowBox[{"Round", "[", 
      RowBox[{"10", "#"}], "]"}]}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T1s", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"5", ",", "20"}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T2s", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"30", ",", "80"}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Qms", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["10", 
       RowBox[{"-", "4"}]], "*", 
      RowBox[{"RandomReal", "[", 
       RowBox[{"{", 
        RowBox[{"999.9", ",", "1000.1"}], "}"}], "]"}]}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dizs", "=", 
   RowBox[{"Round", "/@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{"20", ",", "50"}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"reseni", "[", "k_Integer", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "argzp", ",", "vykon", ",",
        "Qz", ",", "proud"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"argzp", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Qm", ",", "T1", ",", "T2", ",", "diz"}], "}"}], "=", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "&"}], "/@", 
         RowBox[{"{", 
          RowBox[{"Qms", ",", "T1s", ",", "T2s", ",", "dizs"}], "}"}]}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "vykon", ",", "Qz", ",", 
         "proud"}], "}"}], "=", 
       RowBox[{"zprac1", "[", "argzp", "]"}]}]}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vysledky", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "vykon", ",", "Qz", ",", 
       "proud"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "vykon", ",", "Qz", ",", 
         "proud"}], "}"}], "=", 
       RowBox[{"reseni", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\"\<var. Nr.\>\"", "<>", 
       RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<: T1= \>\"", "<>", 
       RowBox[{"ToString", "[", "T1", "]"}], "<>", 
       "\"\< \[Degree]C, T2= \>\"", "<>", 
       RowBox[{"ToString", "[", "T2", "]"}], "<>", 
       "\"\< \[Degree]C, diz= \>\"", "<>", 
       RowBox[{"ToString", "[", "diz", "]"}], "<>", "\"\< mm, P= \>\"", "<>", 
       RowBox[{"ToString", "[", "vykon", "]"}], "<>", "\"\< W, Qz= \>\"", "<>", 
       RowBox[{"ToString", "[", "Qz", "]"}], "<>", "\"\< W, I= \>\"", "<>", 
       RowBox[{"ToString", "[", "proud", "]"}], "<>", "\"\< A\>\""}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zadani", "[", "k_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "vykon", ",", "Qz", ",", 
      "proud"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "Qm", ",", "T1", ",", "T2", ",", "diz", ",", "vykon", ",", "Qz", ",", 
        "proud"}], "}"}], "=", 
      RowBox[{"reseni", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\"\<var. Nr.\>\"", "<>", 
      RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<: T1= \>\"", "<>", 
      RowBox[{"ToString", "[", "T1", "]"}], "<>", "\"\< \[Degree]C, T2= \>\"",
       "<>", 
      RowBox[{"ToString", "[", "T2", "]"}], "<>", 
      "\"\< \[Degree]C, diz= \>\"", "<>", 
      RowBox[{"ToString", "[", "diz", "]"}], "<>", "\"\< mm\>\""}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysledky", "/@", 
   RowBox[{"Range", "[", "n", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "TableForm"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5776004055625*^9, 3.577600429265625*^9}, {
   3.577600511078125*^9, 3.5776008243125*^9}, {3.577600865984375*^9, 
   3.57760087459375*^9}, {3.5776009206875*^9, 3.57760108165625*^9}, {
   3.577601125796875*^9, 3.57760127675*^9}, {3.577601310953125*^9, 
   3.577601315109375*^9}, {3.57760136025*^9, 3.577601377171875*^9}, {
   3.57769715256175*^9, 3.577697158358625*^9}, 3.5776977684055*^9, {
   3.577697819171125*^9, 3.577697861968*^9}, {3.577699023046125*^9, 
   3.57769903431175*^9}}],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {"\<\"var. Nr.1: T1= 18 \[Degree]C, T2= 41 \[Degree]C, diz= 49 mm, P= \
9628.43 W, Qz= 27.685 W, I= 13.9543 A\"\>"},
     {"\<\"var. Nr.2: T1= 6 \[Degree]C, T2= 40 \[Degree]C, diz= 39 mm, P= \
14233.3 W, Qz= 20.3864 W, I= 20.628 A\"\>"},
     {"\<\"var. Nr.3: T1= 9 \[Degree]C, T2= 37 \[Degree]C, diz= 21 mm, P= \
11720. W, Qz= 25.8344 W, I= 16.9856 A\"\>"},
     {"\<\"var. Nr.4: T1= 5 \[Degree]C, T2= 68 \[Degree]C, diz= 24 mm, P= \
26371.2 W, Qz= 50.2797 W, I= 38.2191 A\"\>"},
     {"\<\"var. Nr.5: T1= 12 \[Degree]C, T2= 30 \[Degree]C, diz= 26 mm, P= \
7534.53 W, Qz= 20.2723 W, I= 10.9196 A\"\>"},
     {"\<\"var. Nr.6: T1= 5 \[Degree]C, T2= 68 \[Degree]C, diz= 22 mm, P= \
26370.4 W, Qz= 51.8365 W, I= 38.2179 A\"\>"},
     {"\<\"var. Nr.7: T1= 5 \[Degree]C, T2= 48 \[Degree]C, diz= 25 mm, P= \
18000.4 W, Qz= 30.8489 W, I= 26.0875 A\"\>"},
     {"\<\"var. Nr.8: T1= 13 \[Degree]C, T2= 49 \[Degree]C, diz= 34 mm, P= \
15068.8 W, Qz= 34.8656 W, I= 21.8389 A\"\>"},
     {"\<\"var. Nr.9: T1= 11 \[Degree]C, T2= 65 \[Degree]C, diz= 34 mm, P= \
22603.8 W, Qz= 46.4874 W, I= 32.7591 A\"\>"},
     {"\<\"var. Nr.10: T1= 5 \[Degree]C, T2= 30 \[Degree]C, diz= 27 mm, P= \
10464.3 W, Qz= 13.629 W, I= 15.1656 A\"\>"},
     {"\<\"var. Nr.11: T1= 20 \[Degree]C, T2= 49 \[Degree]C, diz= 32 mm, P= \
12138.8 W, Qz= 41.6838 W, I= 17.5924 A\"\>"},
     {"\<\"var. Nr.12: T1= 18 \[Degree]C, T2= 61 \[Degree]C, diz= 32 mm, P= \
18001.1 W, Qz= 50.1907 W, I= 26.0886 A\"\>"},
     {"\<\"var. Nr.13: T1= 9 \[Degree]C, T2= 50 \[Degree]C, diz= 25 mm, P= \
17164.3 W, Qz= 36.4578 W, I= 24.8757 A\"\>"},
     {"\<\"var. Nr.14: T1= 6 \[Degree]C, T2= 78 \[Degree]C, diz= 39 mm, P= \
30142.1 W, Qz= 50.1819 W, I= 43.6841 A\"\>"},
     {"\<\"var. Nr.15: T1= 17 \[Degree]C, T2= 42 \[Degree]C, diz= 25 mm, P= \
10464.5 W, Qz= 36.4578 W, I= 15.1659 A\"\>"},
     {"\<\"var. Nr.16: T1= 13 \[Degree]C, T2= 73 \[Degree]C, diz= 28 mm, P= \
25116.5 W, Qz= 59.1488 W, I= 36.4007 A\"\>"},
     {"\<\"var. Nr.17: T1= 10 \[Degree]C, T2= 45 \[Degree]C, diz= 20 mm, P= \
14652.4 W, Qz= 35.3449 W, I= 21.2354 A\"\>"},
     {"\<\"var. Nr.18: T1= 20 \[Degree]C, T2= 58 \[Degree]C, diz= 49 mm, P= \
15906.6 W, Qz= 41.1725 W, I= 23.0531 A\"\>"},
     {"\<\"var. Nr.19: T1= 19 \[Degree]C, T2= 69 \[Degree]C, diz= 34 mm, P= \
20929.1 W, Qz= 56.449 W, I= 30.332 A\"\>"},
     {"\<\"var. Nr.20: T1= 19 \[Degree]C, T2= 51 \[Degree]C, diz= 21 mm, P= \
13396.5 W, Qz= 49.6815 W, I= 19.4152 A\"\>"},
     {"\<\"var. Nr.21: T1= 6 \[Degree]C, T2= 35 \[Degree]C, diz= 36 mm, P= \
12140.4 W, Qz= 17.028 W, I= 17.5948 A\"\>"},
     {"\<\"var. Nr.22: T1= 20 \[Degree]C, T2= 58 \[Degree]C, diz= 25 mm, P= \
15906.1 W, Qz= 54.2192 W, I= 23.0524 A\"\>"},
     {"\<\"var. Nr.23: T1= 6 \[Degree]C, T2= 41 \[Degree]C, diz= 37 mm, P= \
14652.1 W, Qz= 21.6449 W, I= 21.2349 A\"\>"},
     {"\<\"var. Nr.24: T1= 6 \[Degree]C, T2= 66 \[Degree]C, diz= 40 mm, P= \
25117.5 W, Qz= 40.3361 W, I= 36.4022 A\"\>"},
     {"\<\"var. Nr.25: T1= 8 \[Degree]C, T2= 46 \[Degree]C, diz= 38 mm, P= \
15906.1 W, Qz= 26.9533 W, I= 23.0523 A\"\>"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.577699017358625*^9, 3.5776990349055*^9}, 
   3.577699482264875*^9, 3.577772781234375*^9}]
}, Open  ]]
},
WindowSize->{1242, 750},
WindowMargins->{{14, Automatic}, {Automatic, 11}},
Magnification->1.7000001668930054`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 377, 11, 136, "Input"],
Cell[CellGroupData[{
Cell[947, 35, 2382, 59, 605, "Input"],
Cell[3332, 96, 243, 5, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3612, 106, 5281, 138, 717, "Input"],
Cell[8896, 246, 3718, 68, 715, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
