(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11353,        336]
NotebookOptionsPosition[     10677,        310]
NotebookOutlinePosition[     11059,        326]
CellTagsIndexPosition[     11016,        323]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", "29"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", 
    RowBox[{"i_", ",", "delka_"}], "]"}], ":=", 
   RowBox[{"a", "+", 
    RowBox[{"b", "*", "delka"}], "+", 
    FractionBox[
     RowBox[{"c", "+", 
      RowBox[{"d", "*", "delka"}]}], "i"]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.577604787796875*^9, 3.577604863796875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"u", "[", 
      RowBox[{"i", ",", "0.1"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0.1", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5776048690625*^9, 3.57760492103125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"zprac1", "[", 
    RowBox[{"{", 
     RowBox[{"Uz_", ",", "Ri_", ",", "delka_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rce", ",", "proud", ",", "istab", ",", "Pobl", ",", "Pz", ",", 
       "ucinnost"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rce", "=", 
       RowBox[{
        RowBox[{"Uz", "-", 
         RowBox[{"Ri", "*", "proud"}]}], "\[Equal]", 
        RowBox[{"u", "[", 
         RowBox[{"proud", ",", "delka"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"istab", "=", 
       RowBox[{"proud", "/.", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"rce", ",", "proud"}], "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Pobl", "=", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"istab", ",", "delka"}], "]"}], "*", "istab"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Pz", "=", 
       RowBox[{"Ri", "*", 
        SuperscriptBox["istab", "2"]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ucinnost", "=", 
       FractionBox["Pobl", 
        RowBox[{"Pobl", "+", "Pz"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", 
        "ucinnost"}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"zprac1", "[", 
  RowBox[{"{", 
   RowBox[{"100", ",", "10", ",", "0.1"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.577604936625*^9, 3.5776052181875*^9}, {
  3.577605336453125*^9, 3.577605403421875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "100", ",", "10", ",", "0.1`", ",", "214.79103333401193`", ",", 
   "472.8494917824673`", ",", "0.3123594748835208`"}], "}"}]], "Output",
 CellChangeTimes->{3.57769908543675*^9, 3.577773424796875*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myR", ":=", 
   RowBox[{
    RowBox[{"0.1", "*", 
     RowBox[{"Round", "[", 
      RowBox[{"10", "#"}], "]"}]}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Uzs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"150", ",", "250"}], "}"}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ris", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"0.1", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"5", ",", "25"}], "}"}], "]"}]}], "&"}], "/@", 
     RowBox[{"Range", "[", "n", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delkys", "=", 
   RowBox[{"myR", "/@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{"0.1", ",", "0.4"}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", "n", "]"}]}], ")"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.57760528759375*^9, 3.577605327390625*^9}, {
   3.5776053775625*^9, 3.577605410640625*^9}, 3.577698277014875*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"reseni", "[", "k_Integer", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", "ucinnost", 
      ",", "argzp"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"argzp", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Uz", ",", "Ri", ",", "delka"}], "}"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "k", "]"}], "]"}], "&"}], "/@", 
        RowBox[{"{", 
         RowBox[{"Uzs", ",", "Ris", ",", "delkys"}], "}"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", 
        "ucinnost"}], "}"}], "=", 
      RowBox[{"zprac1", "[", "argzp", "]"}]}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vysledek", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", 
       "ucinnost"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", 
         "ucinnost"}], "}"}], "=", 
       RowBox[{"reseni", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\"\<var. Nr.\>\"", "<>", 
       RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<: Uz= \>\"", "<>", 
       RowBox[{"ToString", "[", "Uz", "]"}], "<>", "\"\< V, Ri= \>\"", "<>", 
       RowBox[{"ToString", "[", "Ri", "]"}], "<>", 
       "\"\< \[CapitalOmega], dObl= \>\"", "<>", 
       RowBox[{"ToString", "[", "delka", "]"}], "<>", "\"\< m, Pobl= \>\"", "<>", 
       RowBox[{"ToString", "[", "Pobl", "]"}], "<>", "\"\< W, Pz= \>\"", "<>", 
       RowBox[{"ToString", "[", "Pz", "]"}], "<>", "\"\< W, \[Eta]= \>\"", "<>", 
       RowBox[{"ToString", "[", "ucinnost", "]"}], "<>", "\"\< -\>\""}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zadani", "[", "k_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", "ucinnost"}],
      "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "Uz", ",", "Ri", ",", "delka", ",", "Pobl", ",", "Pz", ",", 
        "ucinnost"}], "}"}], "=", 
      RowBox[{"reseni", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\"\<var. Nr.\>\"", "<>", 
      RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<: Uz= \>\"", "<>", 
      RowBox[{"ToString", "[", "Uz", "]"}], "<>", "\"\< V, Ri= \>\"", "<>", 
      RowBox[{"ToString", "[", "Ri", "]"}], "<>", 
      "\"\< \[CapitalOmega], dObl= \>\"", "<>", 
      RowBox[{"ToString", "[", "delka", "]"}], "<>", "\"\< m\>\""}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysledek", "/@", 
   RowBox[{"Range", "[", "n", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.57760543409375*^9, 3.577605451578125*^9}, {
  3.577605481859375*^9, 3.577605822703125*^9}, {3.577698289233625*^9, 
  3.577698300014875*^9}, {3.57777344103125*^9, 3.577773449171875*^9}},
 EmphasizeSyntaxErrors->True],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"zprac2", "[", 
    RowBox[{"{", 
     RowBox[{"Uz_", ",", "Ri_", ",", "delka_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rce", ",", "proud", ",", "istab", ",", "Pobl", ",", "Pz", ",", 
       "ucinnost"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rce", "=", 
       RowBox[{
        RowBox[{"Uz", "-", 
         RowBox[{"Ri", "*", "proud"}]}], "\[Equal]", 
        RowBox[{"u", "[", 
         RowBox[{"proud", ",", "delka"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"istab", "=", 
       RowBox[{"proud", "/.", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"rce", ",", "proud"}], "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Pobl", "=", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"istab", ",", "delka"}], "]"}], "*", "istab"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Pz", "=", 
       RowBox[{"Ri", "*", 
        SuperscriptBox["istab", "2"]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ucinnost", "=", 
       FractionBox["Pobl", 
        RowBox[{"Pobl", "+", "Pz"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"istab", ",", "Pobl", ",", "Pz", ",", "ucinnost"}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"zprac2", "[", 
  RowBox[{"{", 
   RowBox[{"153", ",", "2.1", ",", "0.1"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.577773454484375*^9, 3.57777346146875*^9}, {
  3.57777360309375*^9, 3.57777362246875*^9}, {3.57777606321875*^9, 
  3.5777760670625*^9}, {3.577776462703125*^9, 3.577776472109375*^9}, {
  3.577776940671875*^9, 3.577776944765625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "58.839077567244644`", ",", "1732.1010649635434`", ",", 
   "7270.277802824888`", ",", "0.19240481770448525`"}], "}"}]], "Output",
 CellChangeTimes->{3.57777362325*^9, 3.577776069125*^9, 3.57777647240625*^9, 
  3.57777694640625*^9}]
}, Open  ]]
},
WindowSize->{1242, 750},
WindowMargins->{{14, Automatic}, {Automatic, 11}},
Magnification->1.4000000953674316`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 377, 11, 117, "Input"],
Cell[925, 33, 614, 18, 168, "Input"],
Cell[1542, 53, 381, 11, 67, "Input"],
Cell[CellGroupData[{
Cell[1948, 68, 1693, 46, 300, "Input"],
Cell[3644, 116, 242, 5, 41, "Output"]
}, Open  ]],
Cell[3901, 124, 1336, 41, 167, "Input"],
Cell[5240, 167, 3319, 82, 367, "Input"],
Cell[CellGroupData[{
Cell[8584, 253, 1800, 46, 300, "Input"],
Cell[10387, 301, 274, 6, 41, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
